QUOTA(1)

NOM
quota – Affichage de l’utilisation du disque et des limites

SYNOPSIS
quota [ -F nom_format ] [ -guqvswi ] [ -l | [ -QAm ]]
quota [ -F nom_format ] [ -qvswi ] [ -l | [ -QAm ]] -u utilisateur...
quota [ -F nom_format ] [ -qvswi ] [ -l | [ -QAm ]] -g groupe...
quota [ -F nom_format ] [ -qvswi ] [ -l | [ -QAm ]] -P projet...
quota [ -F nom_format ] [ -qvswugQm ] -f système_fichiers...

DESCRIPTION
quota affiche l’utilisation du disque et ses limites pour les utilisateurs. Par défaut, seuls les quotas d’utilisateur sont affichés. Par défaut, l’utilisation et les limites sont affichées en kilooctet (et sont des blocs nommés pour des raisons historiques).

quota rapporte les quotas pour tous les systèmes de fichiers listés dans /etc/mtab. Pour les systèmes de fichiers montés comme NFS, un appel à rpc.rquotad(8) sur la machine du serveur est réalisé pour obtenir les informations.

OPTIONS

-F, --format=nom_format
    Afficher les quotas selon le format indiqué (c’est-à-dire ne pas réaliser d’autodétection). Les noms de format possibles sont : le format original de quota vfsold avec des UID/GID de 16 bits, le format de quota vfsv0 avec des UID/GID de 32 bits, une utilisation d’espace de 64 bits, une utilisation et des limites d’inœuds en 32 bits, le format de quota vfsv1 avec une utilisation et des limites en 64 bits, le format rpc (quota pour NFS), le format xfs (quota sur les systèmes de fichiers XFS).

-g, --group
    Afficher les quotas pour le groupe dont l’utilisateur est membre. Le(s) argument(s) facultatifs de group restreignent l’affichage au(x) groupe(s) indiqués.

-u, --user
    Option par défaut.

-P, --project
    Afficher les quotas de projet pour le projet indiqué.

-v, --verbose
    Afficher les quotas pour les systèmes de fichiers sans aucun stockage alloué.

-s, --human-readable[=unités]
    Cette option fait que quota essaie de choisir les unités pour l’affichage des limites, de l’espace utilisé et des inœuds utilisés. Les unités peuvent aussi être indiquées explicitement par un argument facultatif de format [ kgt ],[ kgt ] où la première expression indique l’unité d’espace et la deuxième indique l’unité d’inœud.

--always-resolve
    Toujours essayer de traduire les noms d’utilisateur ou de groupe en UID ou GID si le nom est composé seulement de chiffres.

-p, --raw-grace
    Quand l’utilisateur est dans une période de grâce, afficher la durée en secondes depuis l’Époque au bout de laquelle cette période va s’achever (ou s’est achevée). Ce champ vaut « 0 » en l’absence de période de grâce. Cette option est utile particulièrement pour l’analyse de la sortie à l’aide d’un script.

-i, --no-autofs
    Ignorer les points de montage montés automatiquement.

-l, --local-only
    Afficher les quotas uniquement pour les systèmes de fichiers locaux (c’est-à-dire ignorer les systèmes de fichiers montés NFS).

-A, --all-nfs
    Afficher les quotas de tous les systèmes de fichiers NFS même s’ils prétendent être dans le même périphérique.

-f, --filesystem-list
    Afficher les quotas uniquement pour les systèmes de fichiers indiqués sur la ligne de commande.

--filesystem=chemin
    Afficher les quotas seulement pour ce chemin de système de fichiers. Cette option peut être indiquée plusieurs fois et les quotas sont affichés pour chaque système de fichiers indiqué. Au contraire de l’option -f de ligne de commande, le reste de la commande ressemblant à des arguments est toujours traité comme des noms d’utilisateur, de groupe ou de projet à afficher.

-m, --no-mixed-pathnames
    Actuellement, les noms de chemin de point de montage NFS v4 sont renvoyés sans être précédés d’une barre oblique dans le chemin. rpc.rquotad(8) utilise cela pour reconnaitre les montages NFS v4 et préfixe proprement le chemin avec la pseudo-racine des systèmes de fichiers NFS. Si cette option est indiquée, quota affiche toujours les chemins précédés d’une barre oblique. Cela peut être utile pour des raisons patrimoniales, mais soyez conscient que quota à travers RPC arrêtera de fonctionner lors d’un nouveau rpc.rquotad.

-q, --quiet
    Afficher un message plus succinct contenant des informations sur les systèmes de fichiers sujets à des quotas.

-Q, --quiet-refuse
    Ne pas afficher de message d’erreur si la connexion à rpc.rquotad est refusée (habituellement, cela se produit lorsque rpc.rquotad n’est pas en cours d’exécution sur le serveur).

-w, --no-wrap
    Ne par replier la ligne si le nom de périphérique est trop long. Cette option peut être utile lors de l’analyse de la sortie de quota par un script.

--show-mntpoint
    Afficher le point de montage comme une identification de système de fichiers.

--hide-device
    Ne pas afficher le nom de périphérique dans l’identification d’un système de fichiers.

Spécifier les options -g et -u affiche les quotas d’utilisateur et de groupe (pour l’utilisateur).

Seul le superutilisateur peut utiliser l’option -u et l’argument facultatif utilisateur pour connaitre les limites des autres utilisateurs. Aussi, l’affichage de l’utilisation et des limites de quotas de projet n’est autorisé qu’au superutilisateur. Les utilisateurs ordinaires peuvent utiliser l’option -g et l’argument facultatif group pour connaitre uniquement les limites des groupes dont ils sont membres.

L’option -q a la priorité sur l’option -v.

DIAGNOSTICS
Si quota quitte avec un code de retour différent de zéro, un ou plusieurs systèmes de fichiers ont dépassé leurs quotas.

FICHIERS
aquota.user ou aquota.group
    fichier de quota à la racine du système de fichiers (quota version 2, systèmes de fichiers non XFS)
quota.user ou quota.group
    fichier de quota à la racine du système de fichiers (quota version 1, systèmes de fichiers non XFS)
/etc/mtab
    système de fichiers par défaut

VOIR AUSSI
quotactl(2), fstab(5), edquota(8), quotacheck(8), quotaon(8), quota_nld(8), repquota(8), warnquota(8), setquota(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.